local modelType = ...;
assert(modelType);
local fallbackType = "4panel";
local bUse3dModels = GetAdhocPref("Enable3DModels");

local t = Def.Model{
	Meshes=THEME:GetPathB("_shared","models/_panel_texture/".. modelType .."_mesh.txt");
	Bones=THEME:GetPathB("_shared","models/_panel_texture/".. modelType .."_bones.txt");
	Materials=THEME:GetPathB("_shared","models/_panel_texture/".. modelType .."_materials.txt");
};

return bUse3dModels and t or Def.Actor{};